import ResonatorAudioContext from '../audio-context';
import AudioGraph from '../audio-graph';
export default class BaseEffect {
    protected ready: boolean;
    protected effectNode: any;
    protected effectParams: any;
    protected context: ResonatorAudioContext;
    protected graph: AudioGraph;
    protected inputNode: AudioNode;
    constructor(context: ResonatorAudioContext, graph: AudioGraph, params: any);
    connectOutput(node: AudioNode): void;
    connectInput(node: AudioNode): void;
    getOutput(): AudioNode;
    disconnect(): void;
}
